Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRMultiAxisPlot

All Superinterfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable

All Known Implementing Classes:
  JRBaseMultiAxisPlot, JRDesignMultiAxisPlot, JRFillMultiAxisPlot

    public interface JRMultiAxisPlot

extends JRChartPlot

Represents the display options and nested charts of a multiple axis chart. The display options set at the root of a multiple axis chart override the options set in the nested charts.

Version:
  $Id: JRMultiAxisPlot.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Method Summary
`java.util.List` | `getAxes()` Returns a List of all the children axis.

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getAxes

    java.util.List getAxes()

  Returns a List of all the children axis. Each element is of type `net.sf.jasperreports.charts.util.JRChartAxis`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com